Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

Upgrade your store
 
Reply
   X-Cart forums > General > General talk
 
Thread Tools
  #11  
Old 04-10-2008, 09:46 AM
 
balinor balinor is offline
 

Veteran
  
Join Date: Oct 2003
Location: Connecticut, USA
Posts: 30,253
 

Default Re: Upgrade your store

We are going to have to upgrade our servers because most of our clients are going to have to be PCI compliant.
__________________
Padraic Ryan
Ryan Design Studio
Professional E-Commerce Development
Reply With Quote
  #12  
Old 04-10-2008, 09:51 AM
 
Emerson Emerson is offline
 

X-Man
  
Join Date: Mar 2004
Location: Atlanta, GA
Posts: 2,209
 

Default Re: Upgrade your store

I am going to hold out as much as I can.
Will move customers that need(and are ready) to PHP/MySQL 5 and keep the others at 4 as long as I can.
__________________
Emerson
Total Server Solutions LLC- Quality X-Cart Hosting
Recommended X-Cart Hosting Provider - US and UK servers
Does your host backup your site? We do EVERY HOUR!!!
Shared Hosting | Managed Cloud | Dedicated Servers
Reply With Quote
  #13  
Old 04-10-2008, 11:16 AM
 
balinor balinor is offline
 

Veteran
  
Join Date: Oct 2003
Location: Connecticut, USA
Posts: 30,253
 

Default Re: Upgrade your store

I see you just notified your clients by the 100 panicked e-mails I just received
__________________
Padraic Ryan
Ryan Design Studio
Professional E-Commerce Development
Reply With Quote
  #14  
Old 04-10-2008, 11:19 AM
 
Emerson Emerson is offline
 

X-Man
  
Join Date: Mar 2004
Location: Atlanta, GA
Posts: 2,209
 

Default Re: Upgrade your store

Yes I just sent out a mass mail informing everyone.
Rather do it now and give everyone time to take care of things.
__________________
Emerson
Total Server Solutions LLC- Quality X-Cart Hosting
Recommended X-Cart Hosting Provider - US and UK servers
Does your host backup your site? We do EVERY HOUR!!!
Shared Hosting | Managed Cloud | Dedicated Servers
Reply With Quote
  #15  
Old 04-10-2008, 11:36 AM
  johnrobholmes's Avatar 
johnrobholmes johnrobholmes is offline
 

Advanced Member
  
Join Date: Apr 2006
Posts: 55
 

Default Re: Upgrade your store

I hope you guys can figure out a way to get a patch for guys running 4.0, otherwise I may just swap out to another cart to avoid spending more money.


Kudos to Emerson for keeping us informed, I'm very glad I use you and will recommend to all of my friends.
__________________
version 4.4.5

www.holmeshobbies.com
Reply With Quote
  #16  
Old 04-10-2008, 12:00 PM
 
intel352 intel352 is offline
 

X-Wizard
  
Join Date: Dec 2005
Posts: 1,071
 

Default Re: Upgrade your store

Could establish a combined effort to create the necessary patches for X-Cart 4.0.x, and have a variety of "pros" test patched carts on PHP/MySQL 5

Really, as mentioned, there are already patches in existence in the forum. Could just take those existing patches, make sure they're compatible with 4.0.x, and test the heck outta them, and I'm sure there are users that would much rather take some time to test, rather than having to pay hundreds of $$ for upgrades.
__________________
-Jon Langevin
WARNING: Unethical developer - NOT RECOMMENDED
See details here
Reply With Quote
  #17  
Old 04-10-2008, 12:08 PM
 
balinor balinor is offline
 

Veteran
  
Join Date: Oct 2003
Location: Connecticut, USA
Posts: 30,253
 

Default Re: Upgrade your store

Quote:
another cart to avoid spending more money

That will cost you more than upgrading, so that is not a solution.

If a team of developers could tackle the issue and get X-Cart 4.x to run on PHP/MySQL 5, it would certainly save everyone a lot of time, money and headaches.
__________________
Padraic Ryan
Ryan Design Studio
Professional E-Commerce Development
Reply With Quote
  #18  
Old 04-10-2008, 12:19 PM
 
Emerson Emerson is offline
 

X-Man
  
Join Date: Mar 2004
Location: Atlanta, GA
Posts: 2,209
 

Default Re: Upgrade your store

Quote:
Originally Posted by balinor
That will cost you more than upgrading, so that is not a solution.

If a team of developers could tackle the issue and get X-Cart 4.x to run on PHP/MySQL 5, it would certainly save everyone a lot of time, money and headaches.

This would be nice and I assume people would donate to the cause to help with everyone's time put into it.
I would definetely throw some $ in.
__________________
Emerson
Total Server Solutions LLC- Quality X-Cart Hosting
Recommended X-Cart Hosting Provider - US and UK servers
Does your host backup your site? We do EVERY HOUR!!!
Shared Hosting | Managed Cloud | Dedicated Servers
Reply With Quote
  #19  
Old 04-10-2008, 12:27 PM
 
balinor balinor is offline
 

Veteran
  
Join Date: Oct 2003
Location: Connecticut, USA
Posts: 30,253
 

Default Re: Upgrade your store

I'd chip in as much as necessary to get it done, and done right. I do not relish the thought of upgrading 100 carts....
__________________
Padraic Ryan
Ryan Design Studio
Professional E-Commerce Development
Reply With Quote
  #20  
Old 04-10-2008, 12:28 PM
 
david_ygao david_ygao is offline
 

Advanced Member
  
Join Date: Feb 2005
Location: canada
Posts: 40
 

Default Re: Upgrade your store

In X-cart reference manual (Version: March 19, 2006):
Minimal system requirements
╖ PHP 4.0.6 or later (PHP 5 is also supported).


So it means X-cart 4.0.18 can be supported in PHP 5 server ?

Are you sure X-car 4.0.18 store will not work in PHP 5 server ?
__________________
/David Gao/
X-cart business 5.3.6
Reply With Quote
Reply
   X-Cart forums > General > General talk


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 09:33 PM.

   

 
X-Cart forums © 2001-2018